# Uses of Interface
org.xnio.channels.ConnectedStreamChannel

Packages that use ConnectedStreamChannel
Package
Description
org.xnio
The main API package for XNIO.
org.xnio.channels
The core XNIO channel API.

## Uses of ConnectedStreamChannel in org.xnio

Methods in org.xnio that return types with arguments of type ConnectedStreamChannel
Modifier and Type
Method
Description
`IoFuture<ConnectedStreamChannel>`
XnioWorker.`acceptStream(SocketAddress destination, ChannelListener<? super ConnectedStreamChannel> openListener, ChannelListener<? super BoundChannel> bindListener, OptionMap optionMap)`
Deprecated.
`IoFuture<ConnectedStreamChannel>`
XnioWorker.`connectStream(SocketAddress bindAddress, SocketAddress destination, ChannelListener<? super ConnectedStreamChannel> openListener, ChannelListener<? super BoundChannel> bindListener, OptionMap optionMap)`
Deprecated.
`IoFuture<ConnectedStreamChannel>`
XnioWorker.`connectStream(SocketAddress destination, ChannelListener<? super ConnectedStreamChannel> openListener, ChannelListener<? super BoundChannel> bindListener, OptionMap optionMap)`
Deprecated.
`IoFuture<ConnectedStreamChannel>`
XnioWorker.`connectStream(SocketAddress destination, ChannelListener<? super ConnectedStreamChannel> openListener, OptionMap optionMap)`
Deprecated.
`AcceptingChannel<? extends ConnectedStreamChannel>`
XnioWorker.`createStreamServer(SocketAddress bindAddress, ChannelListener<? super AcceptingChannel<ConnectedStreamChannel>> acceptListener, OptionMap optionMap)`
Deprecated.
Method parameters in org.xnio with type arguments of type ConnectedStreamChannel
Modifier and Type
Method
Description
`IoFuture<ConnectedStreamChannel>`
XnioWorker.`acceptStream(SocketAddress destination, ChannelListener<? super ConnectedStreamChannel> openListener, ChannelListener<? super BoundChannel> bindListener, OptionMap optionMap)`
Deprecated.
`IoFuture<ConnectedStreamChannel>`
XnioWorker.`connectStream(SocketAddress bindAddress, SocketAddress destination, ChannelListener<? super ConnectedStreamChannel> openListener, ChannelListener<? super BoundChannel> bindListener, OptionMap optionMap)`
Deprecated.
`IoFuture<ConnectedStreamChannel>`
XnioWorker.`connectStream(SocketAddress destination, ChannelListener<? super ConnectedStreamChannel> openListener, ChannelListener<? super BoundChannel> bindListener, OptionMap optionMap)`
Deprecated.
`IoFuture<ConnectedStreamChannel>`
XnioWorker.`connectStream(SocketAddress destination, ChannelListener<? super ConnectedStreamChannel> openListener, OptionMap optionMap)`
Deprecated.
`AcceptingChannel<? extends ConnectedStreamChannel>`
XnioWorker.`createStreamServer(SocketAddress bindAddress, ChannelListener<? super AcceptingChannel<ConnectedStreamChannel>> acceptListener, OptionMap optionMap)`
Deprecated.

## Uses of ConnectedStreamChannel in org.xnio.channels

Subinterfaces of ConnectedStreamChannel in org.xnio.channels
Modifier and Type
Interface
Description
`interface`
`ConnectedSslStreamChannel`
A TLS-encapsulated connected stream channel.
Classes in org.xnio.channels that implement ConnectedStreamChannel
Modifier and Type
Class
Description
`class`
`AssembledConnectedSslStreamChannel`
A connected SSL stream channel assembled from a stream source and stream sink.
`class`
`AssembledConnectedStreamChannel`
A connected stream channel assembled from a stream source and stream sink.
Methods in org.xnio.channels that return ConnectedStreamChannel
Modifier and Type
Method
Description
`ConnectedStreamChannel`
FramedMessageChannel.`getChannel()`
Deprecated.
Get the underlying channel.
Methods in org.xnio.channels that return types with arguments of type ConnectedStreamChannel
Modifier and Type
Method
Description
`ChannelListener.Setter<? extends ConnectedStreamChannel>`
ConnectedStreamChannel.`getCloseSetter()`
Get the setter which can be used to change the close listener for this channel.
`ChannelListener.Setter<? extends ConnectedStreamChannel>`
ConnectedStreamChannel.`getReadSetter()`
Get the setter which can be used to change the read listener for this channel.
`ChannelListener.Setter<? extends ConnectedStreamChannel>`
ConnectedStreamChannel.`getWriteSetter()`
Get the setter which can be used to change the write listener for this channel.
Constructors in org.xnio.channels with parameters of type ConnectedStreamChannel
Modifier
Constructor
Description
``
`FramedMessageChannel(ConnectedStreamChannel channel, ByteBuffer receiveBuffer, ByteBuffer transmitBuffer)`
Deprecated.
Construct a new instance.
``
`FramedMessageChannel(ConnectedStreamChannel channel, Pooled<ByteBuffer> receiveBuffer, Pooled<ByteBuffer> transmitBuffer)`
Deprecated.
Construct a new instance.